[Software] Create installed software record
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"software_package_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"install_parameters": "<unknown>"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software"
payload = {
"software_package_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"install_parameters": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
software_package_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
install_parameters: '<unknown>'
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[Software] Create installed software record
Create a record of installed software on a compute instance. Use the install endpoint to actually install software on the instance.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
software
[Software] Create installed software record
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Response
Installed software record created successfully
[Software] List installed software on an instance
Previous
[Software] Get installed software details
Next
⌘I

